@import "../../styles/variables";

$transition-duration: 0.35s;

.zs-modal {
  background: rgba(0, 0, 0, .5);
  box-shadow: 0 0 4px 1px rgba(0, 0, 0, 0.25);
  opacity: 1;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  text-align: center;
  display: flex;
  justify-content: center;
  z-index: 10;

  &:focus {
    outline: none;
  }

  &.full-screen-modal {
    align-items: stretch;

    .zs-modal-body {
      display: flex;
      flex-flow: column nowrap;
      flex-grow: 1;
      height: 93%;
      width: 93%;
    }

    .zs-modal-content {
      display: flex;
      flex: 1 1 auto;
      overflow-y: auto;
    }
  }
  &.center-modal {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  &.confirm {
    z-index: 20;

    .confirm-label {
      padding: .5rem 1.5rem 1rem 1.5rem;
    }
  }

  .vorm-clear {
    right: 0;
  }
}

.zs-modal-body,
.modal-body {
  background-color: white;
  text-align: left;
  position: relative;
  z-index: 1;
  align-self: center;
  display: flex;
  flex-direction: column;
  min-height: 0;
  width: 100%;
  height: 100%;

  .vorm-field-list {
    margin: 0;
  }
}

.zs-modal-content,
.modal-content {
  overflow-y: auto;
  flex: 1 1 auto;
  min-height: 0;
  overflow-x: hidden;
  max-height: 100%;
  height: auto;
}

.zs-modal-header,
.modal-header {
  padding: 20px;
  display: flex;
  flex: 0 0 auto;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  height: 60px;
}

.zs-modal-title,
.modal-title {
  font-size: 1.333rem;
  font-weight: 500;
  color: #333;
  margin-right: 15px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.zs-modal-close {
  margin-left: auto;

  button {
    background: none;
    border: none;
    margin: 0;
    padding: 2px 0 0 0;
    width: 30px;
    height: 30px;
    line-height: 30px;
    border-radius: 100%;

    &:hover {
      background: #eee;
      cursor: pointer;
    }
  }

  zs-icon {
    font-size: 22px;
  }
}

// old modal styles

.modal {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  text-align: center;
  display: flex;
  justify-content: center;
}

.modal-backdrop {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: #000;
  opacity: 0.5;
  filter: Alpha(Opacity=50);
  position: fixed;
}

.modal-header {
  background-color: #fff;
  font-weight: bold;
  position: relative;
}

.modal-title {
  margin: 1.33rem 3.5rem 1.33rem 0rem;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.modal-content {
  padding: .5rem 1.5rem 1.5rem;
  max-height: 100%;
  height: auto;

  .large-4 {
    font-size: 1.067em;
  }
}

.modal-close {
  position: absolute;
  right: 14px;
  top: 50%;
  width: 30px;
  margin: -15px 0 0;
  height: 30px;
  line-height: 30px;
  border: none;
  background: none;
  border-radius: 100%;
  display: flex;
  justify-content: center;
  padding: 0;

  &:focus {
    outline-width: 0;
    background-color: #eee;
  }

  .mdi {
    font-size: 1.4rem;
  }
}

.modal-close:hover {
  cursor: pointer;
  background-color: #eee;
}

.modal-content form {
  width: 100%;

  &.modal-medium {
    width: 700px;
  }

  &.modal-large {
    width: 920px;
  }
}

.modal-fullscreen {
  .modal-body {
    width: 100%;
    height: 100%;
    max-height: inherit;
    max-width: inherit;
  }

  .modal-content {
    padding: 0;
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    top: 60px;
  }

  .modal-title {
    margin-top: 1.1rem;
    margin-bottom: 1rem;
  }

  iframe {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100% !important;
    height: 100% !important;
    border: none;
  }
}

.confirm-wrapper {
  background: blue;

  .modal-body {
    max-width: 450px;
  }

  .confirm-label {
    margin: 0 0 10px;
  }
}

@media #{$medium-and-up} {
  .zs-modal .zs-modal-body,
  .modal-body {
    box-shadow: 0 0 20px #222;
    -webkit-box-shadow: 0 0 20px #222;
    width: auto;
    height: auto;
    max-width: 93%;
    max-height: 93%;
    min-width: 450px;
    min-height: 0;
  }
}
